Time off

Your time off

GET
/v1/workspaces/{workspace_id}/timeoff/requests

Your requests, newest first; include_closed adds the declined and cancelled ones.

Authorization

bearer
headerAuthorizationBearer <token>

An access token from /v1/auth/token, or a personal token: opaque, beginning s2a_.

Path Parameters

workspace_id*string

wsp_…, from GET /v1/me

Lengthlength <= 40

Query Parameters

from?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate
to?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate
include_closed?boolean
Defaultfalse

Response Body

Default Response

application/json
  1. response
data*array<>
curl -X GET 'https://api.sign2approve.com/v1/workspaces/string/timeoff/requests'
{  "data": [    {      "id": "req_01a16d3fd3507be78e41c4540aa20a3c",      "leave_type": "Holiday",      "leave_type_id": "lvt_01a16d3fd3507be78e41c4540aa20a3c",      "status": "pending",      "start_date": "2026-11-09",      "start_portion": "morning",      "end_date": "2026-11-13",      "end_portion": "end_of_day",      "open_ended": false,      "dates": "Mon 9 to Fri 13 November 2026",      "minutes": 2250,      "day_minutes": 450,      "created_at": "2026-10-24T09:30:00Z",      "web_url": "https://app.example.test/w/larkspur/time-off/requests/01a16d3f-d350-7be7-8e41-c4540aa20a3c"    }  ]}